﻿Param([Parameter(Mandatory=$True)][string]$PluginName)

$PathParts = $PluginName.Split("\\/")
$currDir="."
$subDir="../.."
$PName = $PathParts[$PathParts.Length - 1]
if ($PathParts.Length -gt 1) {
    $PRest = $PathParts[0..($PathParts.Length - 2)]
    foreach ($part in $PRest) {
        $currDir += "/$part"
        if (! (Test-Path $currDir)) {
            mkdir $currDir
        }
        $subdir += "/.."
    }
}

Copy-Item Template $PluginName -Recurse
$SolGuid = [System.Guid]::NewGuid().toString()
$ProjGuid = [System.Guid]::NewGuid().toString()

#foreach ($file in gi "$PluginName\*" -include "Template.*", "Makefile") {
foreach ($file in gi "$PluginName\*") {
    $newfile = $file.DirectoryName + "\" + ($file.Name -replace "Template", "$PName")
    Rename-Item -path $file.FullName -newname $newfile
    $text = (((Get-Content $newfile) -replace "\[Template\]", "$PName") -replace "\[ProjectGuid\]", "$ProjGuid") -replace "\[SolutionGuid\]", "$SolGuid" -replace "\[OGL4CoreDirectory\]", "$subDir"
    Set-Content -path $newfile -value $text
}
# SIG # Begin signature block
# MIIhGQYJKoZIhvcNAQcCoIIhCjCCIQYCAQExCzAJBgUrDgMCGgUAMGkGCisGAQQB
# gjcCAQSgWzBZMDQGCisGAQQBgjcCAR4wJgIDAQAABBAfzDtgWUsITrck0sYpfvNR
# AgEAAgEAAgEAAgEAAgEAMCEwCQYFKw4DAhoFAAQUk1s2dEhKQILkYLRsY8EyKnLa
# knKggheuMIIHUTCCBjmgAwIBAgICAqMwDQYJKoZIhvcNAQEEBQAwgc4xCzAJBgNV
# BAYTAkRFMRswGQYDVQQIExJCYWRlbi1XdWVydHRlbWJlcmcxEjAQBgNVBAcTCVN0
# dXR0Z2FydDEfMB0GA1UEChMWVW5pdmVyc2l0YWV0IFN0dXR0Z2FydDETMBEGA1UE
# CxMKSW5mb3JtYXRpazEpMCcGA1UEAxMgSW5mb3JtYXRpayBDZXJ0aWZpY2F0ZSBB
# dXRob3JpdHkxLTArBgkqhkiG9w0BCQEWHmNhQGluZm9ybWF0aWsudW5pLXN0dXR0
# Z2FydC5kZTAeFw0xMTAyMTYxMzM1MjBaFw0yMTAyMTMxMzM1MjBaMCYxJDAiBgNV
# BAMTG1ZJU1VTIENlcnRpZmljYXRlIEF1dGhvcml0eTCCAiIwDQYJKoZIhvcNAQEB
# BQADggIPADCCAgoCggIBAMJOb4/jn4j8W7y4AUD7NPBU2ckDAA2ugQBXPFG+Ao+q
# vs2/YynrnDDPTsdevJ/UIiZS4FWIn8z7yNDQgZN3lbNimroxmidbV5g2dHfo6jWl
# o4AaDhP5lxIuDb5S05PIHSIqto6J0zjR8i7N3VMKMWpYjcoG8b+M3yWjIhtidPMo
# 9/Q7RI4tMDEOSmeoQPffal+JjrXADnTZgmKvJlHfOyGrsOAKtZpuCUFpivUqCduP
# Cl7vtlXTy/vnoA0HK3EPzpWUXOb0nRvmuu//1JS9C1aXaW/9Qol+f6HjFngo5SYu
# hMyTdZWfXBimX5o2o2Irv6b6Xh3Eg4pQm/L+v5EAlmwKpSFhfCpn1lhI/1Fwr6t4
# jKkXbVH21dTu7S/NipCa4E+rB53CW3sQVXIXMX1ecC2WZIZag1YPBeFOoBlIR8S4
# jd2um27Edf9iDauMPHm4M1JnJdFoufnmeZMCZGQUR0x1P4CbscmVkf+NPa/DgNSl
# B45j1oUnFV9kpnCL9nSSFSyoVapJIGIglUXhWbBAhPlEouw9rMPdSaKdqkUsn95n
# NJnC8Q/96G3sXy8y2DabLRwADv9rHx3Oaq0fKLcRzZYYJmRTKH12AThX2g/aLEm3
# +yR8NSUHL0DXNUopW2tkqgui0LpJhOVucGe5/5lC6BaP4uc09SVPusrjcouHd5yL
# AgMBAAGjggLeMIIC2jASBgNVHRMBAf8ECDAGAQH/AgEBMAsGA1UdDwQEAwIBpjAd
# BgNVHQ4EFgQU6kFK7p0y/A6FXQGVOXiwTDeu/eUwggEDBgNVHSMEgfswgfiAFHFp
# i1aVD/1SAq5On3gePY63vNd0oYHUpIHRMIHOMQswCQYDVQQGEwJERTEbMBkGA1UE
# CBMSQmFkZW4tV3VlcnR0ZW1iZXJnMRIwEAYDVQQHEwlTdHV0dGdhcnQxHzAdBgNV
# BAoTFlVuaXZlcnNpdGFldCBTdHV0dGdhcnQxEzARBgNVBAsTCkluZm9ybWF0aWsx
# KTAnBgNVBAMTIEluZm9ybWF0aWsgQ2VydGlmaWNhdGUgQXV0aG9yaXR5MS0wKwYJ
# KoZIhvcNAQkBFh5jYUBpbmZvcm1hdGlrLnVuaS1zdHV0dGdhcnQuZGWCCQDiFoX3
# xcVCYjB0BgNVHREEbTBrgSRhZG1pbmlzdHJhdG9yQHZpc3VzLnVuaS1zdHV0dGdh
# cnQuZGWGIWh0dHBzOi8vY2EudmlzdXMudW5pLXN0dXR0Z2FydC5kZYYgaHR0cDov
# L2NhLnZpc3VzLnVuaS1zdHV0dGdhcnQuZGUwga8GA1UdHwSBpzCBpDBLoEmgR4ZF
# aHR0cDovL2NybC52aXN1cy51bmktc3R1dHRnYXJ0LmRlL1ZJU1VTJTIwQ2VydGlm
# aWNhdGUlMjBBdXRob3JpdHkuY3JsMFWgU6BRhk9odHRwOi8vY2EudmlzdXMudW5p
# LXN0dXR0Z2FydC5kZS9DZXJ0RW5yb2xsL1ZJU1VTJTIwQ2VydGlmaWNhdGUlMjBB
# dXRob3JpdHkuY3JsMBEGCWCGSAGG+EIBAQQEAwIABzBWBglghkgBhvhCAQ0ESRZH
# VmlzdWFsaXNpZXJ1bmdzaW5zdGl0dXQgZGVyIFVuaXZlcnNpdOR0IFN0dXR0Z2Fy
# dCBDZXJ0aWZpY2F0ZSBBdXRob3JpdHkwDQYJKoZIhvcNAQEEBQADggEBAFiTwiNL
# A1WL114f8hRt/m9o/Q04PvtqNH4lfTsN3kWkGnSjqbsgQ/V31zt6o6GwcWhRjLej
# prYHY1mzt0p4ScPOtEaZJqTcq83fLSgoxwW/9aUie5fLk3nQoJZtSuPa++SrVPgT
# 40Rt2cAxvKF2s8l9+736AOc07BV3xIlAg2GkEtkeDYOWVbl8eeUkhUHj9Ih8rnTP
# 1MGUDkK+U7odSFAlSx0eSezag12zR2ORrrAQA2YDxLpcTsA3oVaOKNGkgpg35FK0
# tivt5M0a6DxTdfmCB0l5i0keYlKUoQgirv3wjQz8BjbX0ZBDdal81L39tL2Iooz7
# lCP6r6WctMjh2QQwghBVMIIOPaADAgECAgokgsfBAAEAAABdMA0GCSqGSIb3DQEB
# BQUAMCYxJDAiBgNVBAMTG1ZJU1VTIENlcnRpZmljYXRlIEF1dGhvcml0eTAeFw0x
# MjAzMjMxMDM2NDNaFw0xNDAzMjMxMDQ2NDNaMIHdMRIwEAYKCZImiZPyLGQBGRYC
# ZGUxHTAbBgoJkiaJk/IsZAEZFg11bmktc3R1dHRnYXJ0MRUwEwYKCZImiZPyLGQB
# GRYFdmlzdXMxEDAOBgNVBAsTB1ZJUyhVUykxJjAkBgNVBAsTHVdpc3NlbnNjaGFm
# dGxpY2hlIE1pdGFyYmVpdGVyMQ4wDAYDVQQLEwVWSVNVUzEUMBIGA1UEAxMLR3Vp
# ZG8gUmVpbmExMTAvBgkqhkiG9w0BCQEWImd1aWRvLnJlaW5hQHZpc3VzLnVuaS1z
# dHV0dGdhcnQuZGUwgggiMA0GCSqGSIb3DQEBAQUAA4IIDwAwgggKAoIIAQCpAs2I
# 2uXivzh3Wqy0gSFwbyiGq1ON+JqEfJnGMUKwFgS4I2k1cVU3vWdQSaH7E2HtERYh
# WUkhNvA0tnBX4uChYuwrqlsyS9ArlzaZFh33d/YCP0btsxqQRbYl5PHDIfx/IOAZ
# 5hZzXR2RUgsV266MIpKPVVqv0szxBuYDqXng/0sjxgk/q5+bUfXKfbgioPCDaD/r
# GrluH230RZeJhFoQj0EYJg28PrXfyZO2yG/AAZjdAdWKgtGl+tag3AR6edjILeeY
# 5IVzMHOltJ6uMvkw2h48P8PcGKFpfFPZQJ9i7GK3z33LtPAIGbn7A1BomQJgTPhV
# Mbwgy6pTh031UVHQEmHZKQwLkXot73c7uJq64qFDwf2DpK7fS5qmZymwdQbLMB/Q
# reERVBmjI8t5PklCIg6lfKy7JTwxScWpRF3RhTczmknea5QWQEFK5e0GkkJ2hpwk
# oZB0ZTrMOoqgQinA3zJPOLMPEyXAjbRjANgLfJ1tz/zqGJJP5XER8+rP+aNFuz18
# Kjw2zeSbZwujT/2fZw+Wb6THUYfc5rOSgGDK3tZIdDRt95Pkv7RnZ38aghCbp4Ur
# ixkRamyoXAJksXIYiVaXLU8tvuJaBtGV7FNEm2TgLYQyuEXh5pZBnwNGSkB8zFEH
# Q0hcRKBI8Yfywhlp6H/QAHpmSeBKBICDvdQAs80/Zv0zRbAbCPwXLX6wIQCODiuN
# RwdKXt2IPamBBSivk4VJVRQorQS9UeMbDmqFEof7aqv6+uvZFMYMwgzuYR0+0oVp
# 4RVep4IDXwc8RBl+F5OlsoHeQdNnPPjdzMfKuc8HmrlHa5mZbI2n4YlXsgP5RkWs
# DZ9Lt5inLC3m0P+06Pw/zVOWGI1RUYelZhVzgmYc6eopQgCiplalAZYFTMGOEEYv
# ceJbMa2lyE+jy/J4Q1yj8yNrspSCdZ1v7ZNLgKgCl4nHfcr+dC8hSpMQXoH9ybL1
# rpBVew8Mdq5bhOlWIBTHqiMAE5vQbgQSMS+dWrAPuRpI01Xw/DBMv1QqOA04WCYc
# QKOSxRjcRJcKT4MDFBV3Q3w5dJXFpYJGuDdIRcaTZAYIsVDXpXWbHM3figOpHnRR
# lnLcjp44Xa8SvMbXGXlE0ZzoMsCs5VRcwedI8LPr6MqveuxmIdSRU0m4vZjqcZiV
# 17qNDFn0FytSWleRfNKf2hm4FAZsObPV+Zv5g4YKNDiyRHGj5Pyk5GYS7RSC0mLm
# MV0L2GZtAiFS4gCcKqUi2hIyptVv5mUBFJINcrKLJ99J5q0ikeH20WE5qhu3rU27
# 9/xJlpx/7EjNqxaYo8fC12cWcv8Svuen5on68W+Kh0yeoDLo4qoqeut9k00EQLhH
# PsAcQmDNFESDSmVXRZgxpX7oNFGF5lWpd3B0XNA9SFSNHiESKpAeDiU+gt2iZDMU
# m7Rze5f4t9cddiS5BdXqNFICxF4mBDVixzXxBmkI3HGAaPtDRADvosz7Qvuv4sEL
# sm28AVAxV5e918M1bPjsHoH+8hm4VoCTsZdjjx0uWeNnPTCN/03NMrWCC3gmBnGE
# Crwtl3Ita+kholBZYN9IkOSpOlrJ3S8hxC6vodXWHW8hS2/vSEtudaYTAkuH0D58
# luGOMvDA0tgbEAtj5O4FV6tFNx1KjpnngIlQoiDvdSV5CadXn1lNFJeex6x5mfEC
# 0SYgzpIjKqrqcAZ4iOvIZPwn75e+9TWS2zcpKbNtBce/EQThLcgd+7JLaK5aGuW5
# sGuNUnjZ83PE0a3X/axm/hCbu1yGVFW6J7xdz1AfrpPut4xbuXuiUX/kVv3D5RU5
# AmSN+ACMp3eR9vAgOd6PR8D4Xg/55Piw6NRYMU4tT4P9SQyw6R1nEIvacXpAwISY
# 6zp08jf7BwApr6YPzs8jjmX8A++ii3f2vP1+VI66D/9ha6KEHgzaZnsTnOfFLkZs
# 9A7KUqLGlvSa4gXSE8X/UVwsLeUcDGQ7gQOcGpMW2vxnNTeu7ROZzX/TedpLz14R
# +iUqu/4ac/aj3bYmBneui7HBNuuNVB56ozh+8iyZ3msIk8B0W5lUGCfQ9jESHIfL
# Ve9QIAS5ucb9JVdAHqivNZ3FzT4Jv2Tf4muNvXtBjg+zVz8DDRIgIiNBR09e+IYE
# SVJG1/S7jQxu9zUugqCDCkdeSYmEg/VGRCn5RgKHolO23dbfnYET5hfQp6IfQrxp
# if8c8/JfjNWzDL0LuAgbM8SMxgY7rhw4Cs+FdM2cowdSfx5Qn7plQ55Doc48+Cb1
# WhYC4HsEYrHQfbGoC/wpd1MIz+HADb6jmK0jJnxlnwJI+eJr6qE+F64m+dTM/kiM
# GO64h0KEjDCIhuBctkcsr7polgeKpydl51pW+JqJGoch0zhZmzldgi/axBNrE92/
# cmosJMa8MSzRDW+OD0F5+3Q0kcWcnfhBPXM332SwU6DrEdLegJ2hL9EcbW02JKXX
# 8RRBS0mD2C6cW8pZ84BRcHas5WoX8PoylJeOibA0tlwD/XX57HnBNx0S59T8X3tk
# suAFiTD5wv4/AUtENbdF8XTQZ+R4aqQcEBNe+edmovG75Q92n2mR+yP13cjiW8Kd
# Yf2qaRwdrKclN0104LS+6voUx9oc1EDfLQiub6PPhlUZMRdgQM4ELr1KPDbyDXMH
# A5+3NJPZey472zZEu5eX2YDFVHCouENny0jLfQpfstruk0gr1mP+JZ3xyhbki+Ig
# pLhRPvNuCgsDoJ6hzGPTmap+y9n0AJppNUdDhQIDAQABo4IEyzCCBMcwDgYDVR0P
# AQH/BAQDAgWgMD0GCSsGAQQBgjcVBwQwMC4GJisGAQQBgjcVCIe5y3fu/wOC1Ycz
# hLe/CIWPu0GBEoKjo2CD5oFfAgFkAgECMEQGCSqGSIb3DQEJDwQ3MDUwDgYIKoZI
# hvcNAwICAgCAMA4GCCqGSIb3DQMEAgIAgDAHBgUrDgMCBzAKBggqhkiG9w0DBzAd
# BgNVHQ4EFgQUqGQkAjCfgnf5bZYSQAo/jGG5hCUwHwYDVR0jBBgwFoAU6kFK7p0y
# /A6FXQGVOXiwTDeu/eUwggF+BgNVHR8EggF1MIIBcTCCAW2gggFpoIIBZYaB02xk
# YXA6Ly8vQ049VklTVVMlMjBDZXJ0aWZpY2F0ZSUyMEF1dGhvcml0eSgxKSxDTj1u
# b2gsQ049Q0RQLENOPVB1YmxpYyUyMEtleSUyMFNlcnZpY2VzLENOPVNlcnZpY2Vz
# LENOPUNvbmZpZ3VyYXRpb24sREM9dmlzdXMsREM9dW5pLXN0dXR0Z2FydCxEQz1k
# ZT9jZXJ0aWZpY2F0ZVJldm9jYXRpb25MaXN0P2Jhc2U/b2JqZWN0Q2xhc3M9Y1JM
# RGlzdHJpYnV0aW9uUG9pbnSGU2h0dHA6Ly9ub2gudmlzdXMudW5pLXN0dXR0Z2Fy
# dC5kZS9DZXJ0RW5yb2xsL1ZJU1VTJTIwQ2VydGlmaWNhdGUlMjBBdXRob3JpdHko
# MSkuY3JshjhodHRwOi8vbm9oLnZpc3VzLnVuaS1zdHV0dGdhcnQuZGUvQ2VydEVu
# cm9sbC92aXN1c2NhLmNybDCCAZcGCCsGAQUFBwEBBIIBiTCCAYUwgcwGCCsGAQUF
# BzAChoG/bGRhcDovLy9DTj1WSVNVUyUyMENlcnRpZmljYXRlJTIwQXV0aG9yaXR5
# LENOPUFJQSxDTj1QdWJsaWMlMjBLZXklMjBTZXJ2aWNlcyxDTj1TZXJ2aWNlcyxD
# Tj1Db25maWd1cmF0aW9uLERDPXZpc3VzLERDPXVuaS1zdHV0dGdhcnQsREM9ZGU/
# Y0FDZXJ0aWZpY2F0ZT9iYXNlP29iamVjdENsYXNzPWNlcnRpZmljYXRpb25BdXRo
# b3JpdHkwegYIKwYBBQUHMAKGbmh0dHA6Ly9ub2gudmlzdXMudW5pLXN0dXR0Z2Fy
# dC5kZS9DZXJ0RW5yb2xsL25vaC52aXN1cy51bmktc3R1dHRnYXJ0LmRlX1ZJU1VT
# JTIwQ2VydGlmaWNhdGUlMjBBdXRob3JpdHkoMSkuY3J0MDgGCCsGAQUFBzABhixo
# dHRwOi8vbm9oLnZpc3VzLnVuaS1zdHV0dGdhcnQuZGUvQ2VydEVucm9sbDAzBgNV
# HSUELDAqBggrBgEFBQcDBAYKKwYBBAGCNwoDBAYIKwYBBQUHAwMGCCsGAQUFBwMC
# MEEGCSsGAQQBgjcVCgQ0MDIwCgYIKwYBBQUHAwQwDAYKKwYBBAGCNwoDBDAKBggr
# BgEFBQcDAzAKBggrBgEFBQcDAjBbBgNVHREEVDBSoCwGCisGAQQBgjcUAgOgHgwc
# cmVpbmFAdmlzdXMudW5pLXN0dXR0Z2FydC5kZYEiZ3VpZG8ucmVpbmFAdmlzdXMu
# dW5pLXN0dXR0Z2FydC5kZTANBgkqhkiG9w0BAQUFAAOCAgEAT/3NkcNeBUUUuVIb
# N0URFtKa2YpOo8DtyJQp4TvJBQVShIXsjELKpZ+AMsYWtjcTVPQFLU/3RqGHtqjM
# 0YJ4pkyliAlgIkGQ2PYbzXWK7ppgc6eMczc+ZSZ+p7cMAU4E3k7s1ocwfi/JddME
# Eo/1P+0+WNsQwTKnpPBYGupuRVzDYBFeeHU5b1FHCUoMdC3NmWqW1hESkMbMakV/
# oArEOaEQxixsUAIQrTADx8F2sHztkFneve+tZBK8M/x/oFUn0Ue1PZ8+V7AAc+yz
# GwzHs4DPeftBB7k9EyqKxJDAGvPkWZxU+ZhronsNL0YZ7NFX0rQ5WVPRQLzQgr9G
# 0oHY4nITFuw24ThFOWOERGEQ1w0sTMcfO+t+s1bvwwLBwVR7ScfrzGIaIYKx4tR6
# exItwfmnjt0w7B2qt38QALF3q1cr0gQM9yP2hJ2TIuAl6LoGrQ/iIdgLdJebJrBR
# p+pFcMhmE5JVxzyoKpjBMafGHxWwk306GxBzNdBJsC9UFKY+wdcvUnu/6xgqUw2F
# 8sBZeATmCFOW3OJ+AhHIM7fKiSBDjOfHbF1ZUgmvbDM9NTYM4fL27tPR21W1dKZx
# xClR0kvPFWyR0T8aJIUSwAhOfX6eMd0H9r9lEewfPtH9xkoNKxl0kxE0M2Pbj/t6
# qyICNs7tu98NXTn/lXuyIVTjI/cxggjVMIII0QIBATA0MCYxJDAiBgNVBAMTG1ZJ
# U1VTIENlcnRpZmljYXRlIEF1dGhvcml0eQIKJILHwQABAAAAXTAJBgUrDgMCGgUA
# oHgwGAYKKwYBBAGCNwIBDDEKMAigAoAAoQKAADAZBgkqhkiG9w0BCQMxDAYKKwYB
# BAGCNwIBBDAcBgorBgEEAYI3AgELMQ4wDAYKKwYBBAGCNwIBFTAjBgkqhkiG9w0B
# CQQxFgQUKEmP/3/pzQ5+NVKDp/Ej496cs1kwDQYJKoZIhvcNAQEBBQAEgggAYehV
# 2w42FvOZcSZI/QRCsXlql/1ydBiDLMEAs8lYKXU6c7t+Gv5Nfr4U0H4QPK8sivvw
# GnihVypK+rN17JEm7c1ad91wqu3dHi6IU3+fnpQYMLqFnU0+2Szc4jrhqFsaekat
# Ir5Zb8fn8c823jf1j2brnI1pTXhhqyfrcyx3jHMA6ZCYUctzkhxUKoM6bijeyVBA
# 3k5eRzaxYaVeZAooEdVQcJ9PzTcCVyMbPCr4hthUcd5rjikjo42vSK2M0UP3oH5I
# P1iQuuY1BE1HaldWBI8W+eRDRljtZiX+PpA0Z5AmK1+ud7vNB6EC+V1o2ttZhJXm
# p8QvKCHeHjxWk8iHPRUMMICW1YIj6nK/eVT2bC7Tu9DncJfISScrNL20tepyCnS4
# tEXMJUIE0Fttz3QLCSn8phvkkQpJ8voKbYwGQjHB19dndpDcy2u7S/S8z4gDvpte
# JvzjFPRaGWFK/ylfEGLODJ9djqi2rRgIoNOdU3ukurNctihM8RP+1XwCC18CyWKW
# cQemt359P0ehPgCZ6Lxmoi5V5ix+hKrAR9ZAh/yyR5KSODY8iAxFNTKfpbO53gtt
# pPlj8hweaRoO2+/GEm9/KZV5XE8NaMIJrV/ksKbpehAA0c5F7bkAsePkqbFdRRQp
# cRAKIF0eLGOLCEzZWvtUPcPXTqlt6S+w2kS0a+THYVLfX7gSx3DG2M3R6Uu74HpA
# PxNnGSMLEZvuVc6AUCIks6U3OUioBVC7ZeDdMxhY/9jB3qA7FKn6k9ti8/sdIRKT
# QOwYC5tXSGczF4v21klCz0dtzUt5QFN2ajUIOITbK8ug2VxwBkunMAC0O5TfMmSZ
# WIEUWIxUWi/+uf+fFT5KCuBQfy1AXhCaA5EqVmKbHW2uWFsmwMwCdJURbPvIFP89
# k414ERnPDud+ufiAzi79WrDQIgwpsjjVcVahMzwjxRPTUR2+5PvCeCcEFRqwrq6B
# gF6SEvhys4xgUkq5z7g5wBA/SzrNXmzmjXnR5Jubbr5jFq/LYzwWhBXCToR5jACU
# F3muMnr9DkR+K1Q4HqD5AdptLNlj6Yj++RWn6quG1C+Ca9Wq1qiWSeQOi+WbG/Gk
# 637H54kwpLRcWxZZgUVbKQL/60Q4r0x55ZJsLmZY4FF/S9Y9Gxduzp9VAi9mrjih
# UpC5RJRnmxdiSPM5t1ZC0n/TYQ5WaWb4QwZkY15fL0EfzjzfcjVqjTUWfx3H0jF8
# 374k5IeeQB3RoR0mPOT5asJBEV8m9vgCRHraqbyc8q5pFGQY5K5H5xKyNMhxgrFL
# z/NfOsnxoEZVxHPuCO4ic1q94BjSK2nFxoIYl55MoAOwCh6mlzjYZPcN5F5W495T
# qtSwx4p/8WiZjTEmed8m6wjowTACvw6HTYIXNwiLhs0mNqFgVIdqcZV6i3Wvr5E8
# DPLO4E7T7IY6NM+Pc+1eqT5REHYgWVwgksNKTqTI1woy5qZ6vxI2OG3HdBZVSiij
# nhqUxpsCSNfls4qGvN3nyQhitMJP0SfrLOB3Q64p6L0eJu5PyCf+INwIoVfR0Rnb
# cSIJ8691AofmUVAVXx2574gEGqHfTKQTUv1uJFwIbxrCPdIpqBl8T9H9mZ4tXS1G
# WkTcdzPLJ9w7+R1kGQvzcAEx6xWGMjo4Zbx836aYk5gMRANDgbnfUIAM1BO64iAA
# 3HDD9LSO1gm+nIKY/4sHrop41qxt/8laRTuU0yf8kQcSnGDaGMzz456OrzQQN9P8
# xNHuWTLl3a6g9ax98TS16b2pqnMwPJrGlsBXbnNZ8U/Vv6ms0ssEC4QwbTHxR6et
# eEl4IctCuDmGFXzl97oDYBZ0OA8R7ulfdwugkKd82cYhdpCYZe2EG5O5x6fw7U98
# Epra8OwKequMfWqARUJDrqH99sPOk4ipPNqCq8QRuYDWtm57lWO853uw8d12mkZT
# kriYHwiixIljN+ITRSM39NG8yxnOZI6NeNz7IbBzmN7q32dtOx4hFzRi2xxNyIGi
# VRnQ1TpSDrxN7NWldrBpxiqcyi4Lsvy+0sraAsprnMOYimEmanc0YQMJYprIRD2U
# FXtJH94cMmLr4XouozhwFT4bqdBJNiJrwnHNcsK179wjzH2u4fMDK7yGa8vtjBY0
# Cqsu1bTGN0+j7zn1lKeHciAJpKcDs1+j2qWRSYDR/o+bPw4LdCABBFAxOmHywK7c
# a6wxF2N7dUzHoqhvA5VwDrfQV2IivVdm82IFVzQIAF5612Fmboo3uFCa1CocaALn
# W5syfMlC3o4LCYCZkzZrYnX7EhqUpC1WuAye+fOHyLuvWPBpF8nWN2ufSmdxanZ4
# bzqZSnr9VLW4ZzMQudKlfb5EDONy8U1LTnvTgSLgFE8XtpBXm1U+3CraHqE4dQvh
# wcixAvkGtCdHxVG1DO/NJp9vI0aAuTwGyjdnZCHWc9rqxBu0Bkosyp0yplNyHXtC
# oBN8CkxvdEBcUjA7cH5iuqM57dsg25wyUU+M4h8k3l7v4+waZET568UyVLTfi2Vx
# CFJN6B3uCjKOxoILh2d57JQ7oxi8N5SwPF9Qzl3EcaUWnVYJTgNr7C3xykievM/y
# TF7PYG8tAWfjIWFQ2gVkunVW8l5YmWOJPPDQZUBvVXdZxhx2Js8NPc+RjkW2YRvN
# eT8lG75Cs/7xs+0RxBI/KiQNvKm4jij5h4Vu2ypZI/hrZtfNVguI4oEJzC7c4JPq
# h7bIqQ/FAq2ywxY9LkerZXCpq7qilurC50hu3l8=
# SIG # End signature block
